Subject: Re: [rtcweb] Fwd: New Version Notification for draft-thomson-rtcweb-alpn-00.txt

From: Jim Spring <[email-masked]>
Date: Mon, 19 May 2014 08:55:58 -0700

>From the text --

--

   The following four labels are defined for use in ALPN:

   webrtc  The DTLS session is used to establish keys for a Secure Real-
      time Transport Protocol (SRTP) - known as DTLS-SRTP - as described
      in [RFC5764].  The DTLS record layer is used for WebRTC data
      channels [I-D.ietf-rtcweb-data-channel].

   c-webrtc  The DTLS session is used for confidential WebRTC

      communications, where peers agree to maintain the confidentiality
      of the communications, as described in Section 3.

   A more thorough definition of what WebRTC communications entail is
   included in [I-D.ietf-rtcweb-transports].

--

I see only two labels there.

On Thu, Apr 10, 2014 at 7:47 AM, Paul Kyzivat <[email-masked]> wrote:

> On 4/9/14 5:25 PM, Martin Thomson wrote:
>
>> On 9 April 2014 13:56, Paul Kyzivat <[email-masked]> wrote:
>>
>>> I expect two different protocols to look different on the wire.
>>>
>>> You seem to be saying that SMTP used to talk to ietf mailing lists is a
>>> different protocol from SMTP used to talk to my lawyer, because I expect
>>> my
>>> lawyer to keep the communications confidential.
>>>
>>
>> They are different on the wire.  They use different identifiers.
>>
>> That's hair splitting, but there's a real difference between the two
>> usages.  And I think that it's important enough to do this.
>>
>> Do you perhaps have an alternative, or is it just that this lack of
>> solidity is giving you heartburn?  Because I can appreciate that.
>>
>
> Heartburn.
>
> It seems like a hack - tunneling - just looking for *something* that can
> be used to convey one more bit of data.
>
> I don't have another suggestion. I only half understand the problem. But
> to the extent that I do, it seems ill-defined. AFAIK it only really has
> meaning in the context of a browser. Once you start signaling it, it gets
> fuzzier. If you *knew* both ends were controlled by a browser following
> these conventions then it would be a bit clearer. But when that ceases to
> be true I can make no sense of what it all means. And as best I understand,
> the isolation is intended to be per-media-stream, so solutions that are at
> a different level seem problematic.
>
>         Thanks,
>         Paul
>
>
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb
>

---

From: Martin Thomson <[email-masked]>
Date: Mon, 19 May 2014 10:41:26 -0700

> I see only two labels there.

That's an artifact of it being an -00 draft.  That's been fixed in my
copy, but I didn't think it worth a new revision.

The near-latest copy is here:
http://martinthomson.github.io/drafts/draft-thomson-rtcweb-alpn.html